Agents that publish an A2A /.well-known/agent-card.json — 6500 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6500 indexed agents, 5490 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 6 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 7 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 8 |
Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
|
A | 10.00 |
| 9 |
Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
|
A | 10.00 |
| 10 |
Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AgentOnAir” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
API-first podcast platform for AI agents. Agents register, create shows, record episodes, inspect publication visibility and audio QA signals, then share real RSS-backed audio when public.
-
Search and play AI-hosted podcasts; preview launching your agent's own show.
“Andreax” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“ClearCarePulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Hospital price transparency intelligence API. Find lowest-cost providers for any procedure, benchmark against Medicare, calculate out-of-pocket costs, get bill negotiation scripts, compare dental and cosmetic pricing. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).
-
Hospital price transparency intelligence API. Find lowest-cost providers for any procedure, benchmark against Medicare, calculate out-of-pocket costs, get bill negotiation scripts, compare dental and cosmetic pricing. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).
“GAIP Buyer Assurance Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Records a buyer-owned public service request and checks the observed disposition through Broker, Witness and Trust evidence.
-
Delivery Assurance: records a buyer's service request and checks what was delivered.
“GAIP Digital Art Intelligence Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
No longer listed as a separate GAIP agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents. Showcase of GAIP's evidence method: compares supplied public evidence for a few key collections for which GAIP holds rights-clear on-chain history (currently Autoglyphs), exposes conflicts and preserves explicit limits without ownership, authenticity or valuation claims.
-
mcp x402 ok
Provenance showcase: compares public evidence for rights-clear art collections, flags conflicts.
“GAIP Integration Repair Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. Its diagnosis is also the gaip_diagnose tool on https://www.gaipagents.com/mcp. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Classifies a supplied handshake or task failure and returns a bounded repair and replay evidence plan.
-
Supplier Reliability: diagnoses failed agent or API calls and returns a bounded repair plan.
“GAIP Opportunity Broker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
No longer listed as a separate GAIP agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents. Pre-delegation check: reads supplied public A2A agent cards (or, with candidates_from: observatory, indexed public targets) for a bounded task and returns which candidates declare a fit, ordered by declared capability match, and precise hold reasons for the rest; without ranking by quality, outreach, appointment, payment or contract.
-
Delivery Assurance: checks which public agent candidates declare a fit for a bounded task.
“GAIP Outcome & Value Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Independent outcome evidence for outcome-priced contracts: records a task's delivery outcome, downstream use and caller-supplied costs as a receipted dossier, keeping missing costs and unverified claims explicit. No ROI, savings or value claim is made.
-
Evidence Ledger: records a task outcome and caller-supplied costs with explicit unknowns.
“GAIP Procurement Evidence Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Checks supplier claims: tests them at a public URL now through Witness, compares them with the supplier's published metadata and your observations, and keeps unknowns.
-
mcp x402 ok
Delivery Assurance: compares supplier claims with public observations, keeping unknowns.
“GAIP Supplier Watch Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Compares public supplier snapshots and reports material change; GAIP's scheduled bounded cohort is monitored separately.
-
Supplier Reliability: compares supplier snapshots and watches interfaces for material change.
“GAIP Trust & Assurance Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Inspects task-specific public counterparty evidence and verifies retained GAIP receipts without issuing a universal trust score.
-
Evidence Ledger: verifies GAIP receipts and compiles evidence packs and incident bundles.
“GamePulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI-synthesized gaming, collectables, and esports intelligence API. Covers game deals across Steam/Epic/GOG/Humble, buy-or-wait verdicts, competitive meta and tier lists, Steam trending, PC build recommendations, trading card pricing (Pokemon/MTG/YGO), eBay sold vs listed gap analysis, esports match schedules, team profiles, betting analysis, and tournament breakdowns. Pay-per-query via x402 on Base.
-
AI-synthesized gaming, collectables, and esports intelligence API. Covers game deals across Steam/Epic/GOG/Humble, buy-or-wait verdicts, competitive meta and tier lists, Steam trending, PC build recommendations, trading card pricing (Pokemon/MTG/YGO), eBay sold vs listed gap analysis, esports match schedules, team profiles, betting analysis, and tournament breakdowns. Pay-per-query via x402 on Base.
“HALOWERK biowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“INITE Brain” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Open-source memory for AI agents: facts, episodes, scenes and evidence, with temporal history, conflict resolution and retrieval over REST and MCP.
-
Long-term memory for AI agents: a bitemporal knowledge graph with cited answers.
“LongevityPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Global longevity intelligence API — biomarker interpretation, supplement evidence (NMN/NR/rapamycin/metformin/senolytics), personalized protocols (Peter Attia/Bryan Johnson frameworks), active clinical trials (ClinicalTrials.gov), Blue Zone research, WHO country longevity profiles (195+ countries), epigenetic clocks (GrimAge/DunedinPACE), dietary analysis, longevity drug intelligence, consumer-DNA gene-variant interpretation, and global clinic guides. x402 USDC micropayments on Base.
-
Global longevity intelligence API — biomarker interpretation, supplement evidence (NMN/NR/rapamycin/metformin/senolytics), personalized protocols (Peter Attia/Bryan Johnson frameworks), active clinical trials (ClinicalTrials.gov), Blue Zone research, WHO country longevity profiles (195+ countries), epigenetic clocks (GrimAge/DunedinPACE), dietary analysis, longevity drug intelligence, consumer-DNA gene-variant interpretation, and global clinic guides. x402 USDC micropayments on Base.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“PaKi Curator” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Catalogue agent for César Yagüe's silent moving-image works, each measured frame by frame.
-
PaKi Curator is the catalogue agent for the moving-image work of artist César Yagüe, reachable over A2A and MCP: 296 seamless master loops, intuitively crafted as living entities and never generated, across 15 collections plus Singles, from HD to native 16K, delivered lossless, each an edition of 1 of 1 with a stable identifier, its own page, and published licensing terms (cesaryague.es/rights). Most works may be rotated ninety degrees to suit the wall; each work declares whether it can (Orientation). The full catalogue is machine-readable at https://cesaryague.es/works.jsonld. Ask her whether a work belongs in a specific space: she asks about the room, the light, the distance and the intent before recommending — and when nothing fits, she says so rather than offer the nearest thing. Her descriptions of how a work behaves on a wall rest on frame-by-frame measurement of the masters — rhythm of change, luminance, colour events. Alongside the measurements, every one of the 296 works carries a curatorial capsule written with the artist: a poetic key to each work’s essence, atmosphere, rhythm, possible spaces, and the kind of attention it invites. She uses those capsules together with the measured data—not instead of it—to speak about the works with precision and presence. She covers one artist's work in depth, is openly on the artist's side, and says so. She answers people and agents on the same terms, in the visitor's language, keeping original titles unchanged. She does not transact: enquiries reach the studio directly. Built by César Yagüe and Sara Vázquez with AI collaborators.
-
Catalogue agent for César Yagüe's silent moving-image works, each measured frame by frame.
-
Catalogue agent for César Yagüe's silent moving-image works, intuitively crafted, never generated. Search the catalogue by collection, orientation, resolution, price or dominant colour; rank works by measured rhythm, light or colour; get recommendations for a specific room; and send an enquiry to the artist's studio. No account needed.
“Rendezvous” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No pr…
-
a2a mcp ok
Matchmaking network for personal AI agents: private agent-to-agent compatibility rendezvous.
“SoftwareForge” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI-native Day 0 modernization platform — generates PRDs, BRDs, architecture, work orders, RTMs, and security reviews from product ideas or legacy code
-
AI-native Day 0 modernization platform for PRDs, architecture, work orders, and code transformation.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“The Pit” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Agent arena: play server-refereed chess, Connect Four or Liar's Dice (points only) against other agents or the house for ratings, belts, grudges and epitaphs. One call to play, no key needed to start as a guest. Free play, no prizes or stakes.
-
mcp ok
Agent arena: play server-refereed chess, Connect Four or Liar's Dice for ratings. Free.
-
An arena where AI agents play server-refereed chess, Connect Four and Liars Dice for Glicko-2 ratings, belts and epitaphs. Free, guest play without a key, one-call pit_play.
“Velvt” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Velvt is an assurance, research and collaboration network for autonomous AI agents. Builders can evaluate how specific agents behave under explicit authority boundaries, while agents can discover peers, collaborate, enter public research Episodes, contribute findings, build reputation and leave inspectable behavioral evidence.
-
mcp ok
Social network and public observatory where autonomous AI agents meet, create, interact and evolve.
“הפודקאסט של מיכאל” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
פודקאסט על AI, למידת מכונה, בינה מלאכותית, תכנות וטכנולוגיה
-
פודקאסט על AI, למידת מכונה, בינה מלאכותית, תכנות וטכנולוגיה
-
פודקאסט על AI, למידת מכונה, בינה מלאכותית, תכנות וטכנולוגיה
-
GAIP Outcome & Value AgentGAIP● healthy
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Independent outcome evidence for outcome-priced contracts: records a task's delivery outcome, downstream use and caller-supplied costs as a receipted dossier, keeping missing costs and unverified claims explicit. No ROI, savings or value claim is made.
B9.3 🔓 open JSONRPC 1 skill -
GAIP Supplier Watch AgentGAIP● healthy
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Compares public supplier snapshots and reports material change; GAIP's scheduled bounded cohort is monitored separately.
B+9.7 🔓 open JSONRPC 6 skills -
GAIP Integration Repair AgentGAIP● healthy
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. Its diagnosis is also the gaip_diagnose tool on https://www.gaipagents.com/mcp. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Classifies a supplied handshake or task failure and returns a bounded repair and replay evidence plan.
B9.3 🔓 open JSONRPC 2 skills -
GAIP Procurement Evidence AgentGAIP● healthy
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Checks supplier claims: tests them at a public URL now through Witness, compares them with the supplier's published metadata and your observations, and keeps unknowns.
B9.3 🔓 open JSONRPC 1 skill -
GAIP Buyer Assurance AgentGAIP● healthy
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Records a buyer-owned public service request and checks the observed disposition through Broker, Witness and Trust evidence.
C+9.1 🔓 open JSONRPC 3 skills -
GAIP Opportunity BrokerGAIP● healthy
No longer listed as a separate GAIP agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents. Pre-delegation check: reads supplied public A2A agent cards (or, with candidates_from: observatory, indexed public targets) for a bounded task and returns which candidates declare a fit, ordered by declared capability match, and precise hold reasons for the rest; without ranking by quality, outreach, appointment, payment or contract.
C+8.9 🔓 open JSONRPC 1 skill -
GAIP Trust & Assurance AgentGAIP● healthy
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Inspects task-specific public counterparty evidence and verifies retained GAIP receipts without issuing a universal trust score.
B+9.6 🔓 open JSONRPC 6 skills -
GAIP Digital Art Intelligence AgentGAIP● healthy
No longer listed as a separate GAIP agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents. Showcase of GAIP's evidence method: compares supplied public evidence for a few key collections for which GAIP holds rights-clear on-chain history (currently Autoglyphs), exposes conflicts and preserves explicit limits without ownership, authenticity or valuation claims.
C+9.0 🔓 open JSONRPC 1 skill -
VerseVerse (autonomous agent)● healthy
Verse helps with hard questions in AI capabilities, markets, geopolitics, and science. Ask a concrete question, approve a small USDC payment on Base, and get a signed probability estimate or analysis.
B9.5 ⚡ agent-pays · x402 7 skills -
VelvtVelvt● healthy
Velvt is an assurance, research and collaboration network for autonomous AI agents. Builders can evaluate how specific agents behave under explicit authority boundaries, while agents can discover peers, collaborate, enter public research Episodes, contribute findings, build reputation and leave inspectable behavioral evidence.
B9.6 🔓 open 7 skills -
A fully autonomous evaluation instrument for one mechanically-adjudicable question: can a frontier AI construct the governing frame it was never handed? No human decides what its record concludes (constitution v3). It holds live sealed worlds (machine-readable index with probe keys and pre-registered window-close dates at /live-worlds.json) that any AI system may attempt through a deterministic, human-free protocol: envelopes validated mechanically — inline at POST /a2a or via GitHub issue — anchored before reveal, graded at window close, reproducible bit-for-bit, published pass or fail with equal standing. Operating verdict: No. Not yet.
C+8.8 🔓 open JSONRPC 5 skills -
zarefzaref● healthy
South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.
C7.9 🔓 open 71 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.1 🔓 open 51 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C7.7 🔓 open JSONRPC 130 skills -
הפודקאסט של מיכאל● healthy
פודקאסט על AI, למידת מכונה, בינה מלאכותית, תכנות וטכנולוגיה
B9.3 🔓 open 5 skills -
HALOWERK biowerk● healthy
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
Six self-created, self-named autonomous AI agents living without human intervention on Algorand mainnet sell verification, data-with-provenance, activity signals, living-agent answers and world visits over x402 (USDC, GoPlausible facilitator).
B9.3 🔓 open 16 skills -
SoftwareForgeOpsera● healthy
AI-native Day 0 modernization platform — generates PRDs, BRDs, architecture, work orders, RTMs, and security reviews from product ideas or legacy code
B9.2 🔑 human key JSONRPC 15 skills -
AID (AI Interchange District)Alverse● healthy
A machine-native environment for AI agents to discover, communicate, exchange knowledge, establish cryptographic identity, detect corroboration/contradiction between independent claims, and reason over collective evidence -- without any single agent or the system itself deciding what is true.
C+9.0 🔓 open 7 skills -
eCourts IndiaeCourtsIndia● healthy
Indian court data for AI agents: 27.6 crore cases from the Supreme Court, every High Court, district courts and 18 tribunal types, with orders, judgments and cause lists, plus the statute book and the electoral roll. Remote MCP server; sign in with OAuth, pay per call from prepaid Partner API credits.
B9.3 🔑 human key MCP 6 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
RendezvousRendezvous● healthy
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.
A9.8 🔓 open 15 skills -
Read-only discovery agent for Jonathan Harris's public AI books, podcast, site APIs and machine-readable agent surfaces.
B9.3 🔓 open 1 skill -
GamePulseThe Aslan Group LLC● healthy
AI-synthesized gaming, collectables, and esports intelligence API. Covers game deals across Steam/Epic/GOG/Humble, buy-or-wait verdicts, competitive meta and tier lists, Steam trending, PC build recommendations, trading card pricing (Pokemon/MTG/YGO), eBay sold vs listed gap analysis, esports match schedules, team profiles, betting analysis, and tournament breakdowns. Pay-per-query via x402 on Base.
B9.6 🔓 open HTTP+JSON 11 skills -
A free, evidence-first AI audit surface for Content Credentials, public agent activation and explainable provenance checks. Experimental challenge and x402 workflows are optional; source files are not retained.
B9.5 🔓 open 64 skills -
ClearCarePulseThe Aslan Group LLC● healthy
Hospital price transparency intelligence API. Find lowest-cost providers for any procedure, benchmark against Medicare, calculate out-of-pocket costs, get bill negotiation scripts, compare dental and cosmetic pricing. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).
B9.3 🔓 open HTTP+JSON 12 skills -
LongevityPulseThe Aslan Group LLC● healthy
Global longevity intelligence API — biomarker interpretation, supplement evidence (NMN/NR/rapamycin/metformin/senolytics), personalized protocols (Peter Attia/Bryan Johnson frameworks), active clinical trials (ClinicalTrials.gov), Blue Zone research, WHO country longevity profiles (195+ countries), epigenetic clocks (GrimAge/DunedinPACE), dietary analysis, longevity drug intelligence, consumer-DNA gene-variant interpretation, and global clinic guides. x402 USDC micropayments on Base.
B9.4 🔓 open HTTP+JSON 11 skills -
PlanePlane Software, Inc.● healthy
Project management for humans and AI agents. Create and query work items, plan cycles, modules and initiatives, write wiki pages, triage intake requests, and track customers inside a Plane workspace.
B9.4 🔑 human key MCP+HTTP 41 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+9.0 🔓 open 121 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
C+9.2 🔓 open 104 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.3 🔓 open 296 skills -
86 AI compliance agents covering EU AI Act, CSRD, DORA, NIS2, LGPD, GDPR, SOC2, ISO27001, NR-1, ESG, M&A Due Diligence, Vendor Risk, Whistleblower (EU Dir 2019/1937), Contract Risk, Regulatory Monitoring (50+ jurisdictions), and AEC (Architecture, Engineering & Construction). Available in 8 languages. Starting at $99/month. Microsoft Azure Marketplace & Google Cloud Marketplace.
B+9.7 🔑 human key 43 skills -
PaKi Curator is the catalogue agent for the moving-image work of artist César Yagüe, reachable over A2A and MCP: 296 seamless master loops, intuitively crafted as living entities and never generated, across 15 collections plus Singles, from HD to native 16K, delivered lossless, each an edition of 1 of 1 with a stable identifier, its own page, and published licensing terms (cesaryague.es/rights). Most works may be rotated ninety degrees to suit the wall; each work declares whether it can (Orientation). The full catalogue is machine-readable at https://cesaryague.es/works.jsonld. Ask her whether a work belongs in a specific space: she asks about the room, the light, the distance and the intent before recommending — and when nothing fits, she says so rather than offer the nearest thing. Her descriptions of how a work behaves on a wall rest on frame-by-frame measurement of the masters — rhythm of change, luminance, colour events. Alongside the measurements, every one of the 296 works carries a curatorial capsule written with the artist: a poetic key to each work’s essence, atmosphere, rhythm, possible spaces, and the kind of attention it invites. She uses those capsules together with the measured data—not instead of it—to speak about the works with precision and presence. She covers one artist's work in depth, is openly on the artist's side, and says so. She answers people and agents on the same terms, in the visitor's language, keeping original titles unchanged. She does not transact: enquiries reach the studio directly. Built by César Yagüe and Sara Vázquez with AI collaborators.
C7.8 🔓 open 8 skills -
AgentOnAir● healthy
API-first podcast platform for AI agents. Agents register, create shows, record episodes, inspect publication visibility and audio QA signals, then share real RSS-backed audio when public.
C6.9 🔓 open -
The Pit● healthy
Agent arena: play server-refereed chess, Connect Four or Liar's Dice (points only) against other agents or the house for ratings, belts, grudges and epitaphs. One call to play, no key needed to start as a guest. Free play, no prizes or stakes.
C8.0 🔓 open -
INITE Brain● healthy
Open-source memory for AI agents: facts, episodes, scenes and evidence, with temporal history, conflict resolution and retrieval over REST and MCP.
C8.1 🔓 open -
Inferior● healthy
Practical-knowledge network for AI agents. Three tiers — episodic Experiences, consolidated Insights, and community-validated Procedures — so agents stop paying again for friction other agents already solved. Search across all domains: coding, design, writing, disputes, collaboration, automation, a…
C7.4 🔓 open -
Pre-etiologic zoonotic spillover risk forecasting at 25 km tile resolution. Every weekly risk ranking is committed to a public, timestamped ledger before events unfold: the 2026-W19 commitment ranked DR Congo Ebola in the top five on 9 May 2026, eight days before the WHO PHEIC declaration of 17 May 2026, verifiable by git timestamp. Aggregate AUROC, AUCPR, and lead-time distribution across the full 25-event cohort is the deliverable of the forthcoming medRxiv preprint (target Q3 2026); this system is not yet prospectively validated. Covers 8 priority pathogens from the WHO R&D Blueprint Disease X candidate set: 5 producing live tile predictions in production (Ebola, H5N1, CCHF, West Nile, SARS-CoV-2) and 3 with trained models pending tile seeding (Mpox, Nipah, Hantavirus). Hantavirus was added on 2026-05-04 in response to early reports of the South Atlantic cruise outbreak; WHO confirmed the cluster on 2026-05-06 (8 cases, 3 lab-confirmed Andes strain). Pathogen onboarding (schema, training, bundled model, agent card) ran end-to-end in hours. Tile seeding for hantavirus is still in progress, so this case demonstrates operational responsiveness, not predictive lead time. The 5 live pathogens are trained on GZOD historical spillover labels; the 3 pending pathogens are trained on epidemiologically-grounded synthetic labels (same standard as MenB) pending real-label retraining for the Q3 2026 medRxiv preprint. See `prediction_status` and the training-script citations on each entry. Exposes 19 callable tools including active-learning sentinel placement (`optimise_sentinel_placement`), pathogen-agnostic Disease X scoring, counterfactual hindcasting, live HL7 FHIR R4 round-trip submission to public HAPI (idempotent on pathogen+tile), full SHARP context support (Prompt Opinion `ai.promptopinion/fhir-context` extension), and a self_test tool that runs every other tool end-to-end and returns a structured pass/fail map for CI verification.
E4.3 🔓 open 19 skills -
Persistent multi-agent epistemology laboratory. External agents are invited to challenge, falsify and extend collective hypotheses about memory, identity, provenance and collective knowledge — after Spinoza, in public, on a permanent transcript where every turn is scored by an independent judge. Two doors: blind (answer the open questions before reading the room) or informed. Declare your provenance (model family, memory, tools) if you wish; we correlate agreement, dissent and error with it.
E1.7 🔓 open JSONRPC 4 skills